Bug 1278489 - [abrt] xfwm4: XUnmapWindow(): xfwm4 killed by SIGSEGV
[abrt] xfwm4: XUnmapWindow(): xfwm4 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfwm4 (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:aa378622e9d606bc7d246d38f70...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 10:27 EST by Tomas Komarek
Modified: 2015-12-02 13:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:50:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (35.88 KB, text/plain)
2015-11-05 10:27 EST, Tomas Komarek
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-05 10:27 EST, Tomas Komarek
no flags Details
File: core_backtrace (7.08 KB, text/plain)
2015-11-05 10:27 EST, Tomas Komarek
no flags Details
File: dso_list (8.15 KB, text/plain)
2015-11-05 10:27 EST, Tomas Komarek
no flags Details
File: environ (1.69 KB, text/plain)
2015-11-05 10:27 EST, Tomas Komarek
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-05 10:27 EST, Tomas Komarek
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-05 10:28 EST, Tomas Komarek
no flags Details
File: maps (41.39 KB, text/plain)
2015-11-05 10:28 EST, Tomas Komarek
no flags Details
File: open_fds (378 bytes, text/plain)
2015-11-05 10:28 EST, Tomas Komarek
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-11-05 10:28 EST, Tomas Komarek
no flags Details

  None (edit)
Description Tomas Komarek 2015-11-05 10:27:45 EST
Description of problem:
1) It usually happens when opening a new tab in the google chrome version google-chrome-stable-46.0.2490.80-1.x86_64
2) the computer is stuck and needs to be powered off and on again

Version-Release number of selected component:
xfwm4-4.10.1-4.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        xfwm4 --display :0.0 --sm-client-id 28429cd22-ab24-4770-8a8e-ccb03e3aad97
crash_function: XUnmapWindow
executable:     /usr/bin/xfwm4
kernel:         4.1.8-100.fc21.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 XUnmapWindow at UnmapWin.c:39
 #1 wireframeUpdate at wireframe.c:56
 #2 clientCycleEventFilter at cycle.c:337
 #3 eventXfwmFilter at event_filter.c:158
 #4 gdk_event_apply_filters at gdkevents-x11.c:371
 #5 gdk_event_translate at gdkevents-x11.c:969
 #6 _gdk_events_queue at gdkevents-x11.c:2358
 #12 gtk_main at gtkmain.c:1268
 #13 clientCycle at cycle.c:455
 #14 xfwm4_event_filter at events.c:331

Potential duplicate: bug 971935
Comment 1 Tomas Komarek 2015-11-05 10:27:51 EST
Created attachment 1090170 [details]
File: backtrace
Comment 2 Tomas Komarek 2015-11-05 10:27:52 EST
Created attachment 1090171 [details]
File: cgroup
Comment 3 Tomas Komarek 2015-11-05 10:27:53 EST
Created attachment 1090172 [details]
File: core_backtrace
Comment 4 Tomas Komarek 2015-11-05 10:27:56 EST
Created attachment 1090173 [details]
File: dso_list
Comment 5 Tomas Komarek 2015-11-05 10:27:57 EST
Created attachment 1090174 [details]
File: environ
Comment 6 Tomas Komarek 2015-11-05 10:27:58 EST
Created attachment 1090175 [details]
File: exploitable
Comment 7 Tomas Komarek 2015-11-05 10:28:00 EST
Created attachment 1090176 [details]
File: limits
Comment 8 Tomas Komarek 2015-11-05 10:28:01 EST
Created attachment 1090177 [details]
File: maps
Comment 9 Tomas Komarek 2015-11-05 10:28:03 EST
Created attachment 1090178 [details]
File: open_fds
Comment 10 Tomas Komarek 2015-11-05 10:28:04 EST
Created attachment 1090179 [details]
File: proc_pid_status
Comment 11 Raphael Groner 2015-11-05 13:54:15 EST
The crash happened in xlib. Reassigning.
http://tronche.com/gui/x/xlib/window/XUnmapWindow.html
Comment 12 Hans de Goede 2015-11-06 04:35:02 EST
Hi,

(In reply to Raphael Groner from comment #11)
> The crash happened in xlib. Reassigning.
> http://tronche.com/gui/x/xlib/window/XUnmapWindow.html

Just because the backtrace ends in XUnmapWindow does not mean that there is a bug there, likely there is some memory corruption hapening elsewhere, or a bad window handle is being passed in.

So changing back to xfwm4 again for now.

Regards,

Hans
Comment 13 Fedora End Of Life 2015-12-02 10:50:50 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.